# OpalT120Protocol Class Reference

`#include <t120proto.h>`

## Public Types

| DefaultTcpPort = 1503
enum | { DefaultTcpPort = 1503 }

## Public Member Functions

Construction
| OpalT120Protocol ()
Operations
virtual PBoolean | Originate (OpalTransport &transport)
virtual PBoolean | Answer (OpalTransport &transport)
virtual PBoolean | HandleConnect (const MCS_ConnectMCSPDU &pdu)
virtual PBoolean | HandleDomain (const MCS_DomainMCSPDU &pdu)

## Detailed Description

This class describes the T.120 protocol handler.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  DefaultTcpPort |

## Constructor & Destructor Documentation

OpalT120Protocol::OpalT120Protocol | ( |  | ) |

Create a new protocol handler.

## Member Function Documentation

virtual PBoolean OpalT120Protocol::Answer | ( | OpalTransport & | transport | ) | `[virtual]`

Handle the origination of a T.120 connection.

virtual PBoolean OpalT120Protocol::HandleConnect | ( | const MCS_ConnectMCSPDU & | pdu | ) | `[virtual]`

Handle incoming T.120 connection.

If returns false, then the reading loop should be terminated.

virtual PBoolean OpalT120Protocol::HandleDomain | ( | const MCS_DomainMCSPDU & | pdu | ) | `[virtual]`

Handle incoming T.120 packet.

If returns false, then the reading loop should be terminated.

virtual PBoolean OpalT120Protocol::Originate | ( | OpalTransport & | transport | ) | `[virtual]`

Handle the origination of a T.120 connection.

The documentation for this class was generated from the following file:

- t120proto.h